%global debug_package %{nil}

%ifarch x86_64
%global altarch amd64
%endif
%ifarch %{ix86}
%global altarch 386
%endif
%ifarch %{arm}
%global altarch armv7
%endif

Name:		syncthing
Version:	0.14.21
Release:	1
Summary:	Syncthing
License:	MIT
URL:		http://syncthing.net/
#Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-source-v%{version}.tar.gz
Source1:	syncthing@.service
#Source2:	%{name}-linux-386-v%{version}.tar.gz
Group:		Networking/Other
#ExclusiveArch:  x86_64 %{ix86}
BuildRequires:  systemd
BuildRequires:	procps
BuildRequires:	go >= 1.5
BuildRequires:	git

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Syncthing replaces Dropbox and BitTorrent Sync with something
open, trustworthy and decentralized. Your data is your data 
alone and you deserve to choose where it is stored, 
if it is shared with some third party and how it's 
transmitted over the Internet.

Using syncthing, that control is returned to you.

%prep
#setup -q -n %{name}

%build
rm -rf $RPM_BUILD_DIR/%{name}

install -d $RPM_BUILD_DIR/%{name}/src/github.com/%{name}

pushd $RPM_BUILD_DIR/%{name}/src/github.com/%{name}/
git clone --single-branch -b "v%{version}" https://github.com/syncthing/syncthing.git
pushd %{name}
#go run build.go -goos linux -goarch %{altarch} -version v%{version} -no-upgrade
./build.sh
popd
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_initddir}
install -d %{buildroot}%{_datadir}/doc/%{name}

pushd $RPM_BUILD_DIR/%{name}/src/github.com/%{name}/%{name}/
install -pm 0755 bin/syncthing %{buildroot}%{_bindir}
install -pm 0644 etc/linux-systemd/system/%{name}@.service %{buildroot}%{_unitdir}
install -sm 755 bin/syncthing %{buildroot}%{_sbindir}
install -pm 0644 LICENSE README.md %{buildroot}%{_datadir}/doc/%{name}
popd

%post
%systemd_post %{name}@.service

%preun
%systemd_preun %{name}@.servie

%postun
%systemd_postun_with_restart %{name}@.service 

%files
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/doc/%{name}/*
%{_unitdir}/%{name}@.service

%changelog
